/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

#ifndef _SEMAPHORE_H
#define _SEMAPHORE_H
#ident	"@(#)sgs-head:common/head/semaphore.h	1.2"

#include <sys/types.h>

#define SEM_VALUE_MAX	65536	/* maximum count for sem_t */

#define SEM_FAILED	(-1)	/* error return value */

#ifdef __cplusplus
extern "C" {
#endif

int	sem_init(sem_t *, int, unsigned int);
int	sem_destroy(sem_t *);
sem_t	*sem_open(const char *, int, ...);
int	sem_close(sem_t *);
int	sem_unlink(const char *);
int	sem_wait(sem_t *);
int	sem_trywait(sem_t *);
int	sem_post(sem_t *);
int	sem_getvalue(sem_t *, int *);

#ifdef __cplusplus
}
#endif

#endif /*_SEMAPHORE_H*/
